org.eclipse.jetty.io

## Interface Buffers

All Known Implementing Classes:
  AbstractBuffers, PooledBuffers, SimpleBuffers, ThreadLocalBuffers

    public interface Buffers

BufferSource. Represents a pool or other source of buffers and abstracts the creation of specific types of buffers (eg NIO). The concept of big and little buffers is supported, but these terms have no absolute meaning and must be determined by context.

### Nested Class Summary

Nested Classes
`static class` `Buffers.Type`

### Method Summary

Methods
`Buffer` `getBuffer()`
`Buffer` `getBuffer(int size)`
`Buffer` `getHeader()`
`void` `returnBuffer(Buffer buffer)`

### Method Detail

#### getHeader

    Buffer getHeader()

#### getBuffer

    Buffer getBuffer()

#### getBuffer

    Buffer getBuffer(int size)

#### returnBuffer

    void returnBuffer(Buffer buffer)